summaryrefslogtreecommitdiff
path: root/tests/rm/i-1
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2012-01-23 14:42:10 +0100
committerJim Meyering <meyering@redhat.com>2012-01-23 14:42:10 +0100
commitdec02bb98ec59fc1a5a0ed6ae1dda2bda69af111 (patch)
tree84578716de23a06630790d4d1cf7221654b94275 /tests/rm/i-1
parent80bc8651fd6b0a41be00ab4ee82e920287b15cbc (diff)
downloadcoreutils-dec02bb98ec59fc1a5a0ed6ae1dda2bda69af111.tar.xz
tests: remove crufty test=test_name code from old tests
Before init.sh and similar, we would set test=test_name, and then construct temporary file names using $test. Now that each init.sh-using test is in its own directory, that practice is unwelcome. Remove bad examples. * tests/rm/f-1: Per above. * tests/rm/i-1: Likewise. * tests/rm/interactive-always: Likewise. * tests/rm/interactive-once: Likewise. * tests/rm/ir-1: Likewise. * tests/rm/r-1: Likewise.
Diffstat (limited to 'tests/rm/i-1')
-rwxr-xr-xtests/rm/i-110
1 files changed, 4 insertions, 6 deletions
diff --git a/tests/rm/i-1 b/tests/rm/i-1
index e452c2d29..df023a85c 100755
--- a/tests/rm/i-1
+++ b/tests/rm/i-1
@@ -16,8 +16,6 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-test=i-1
-
. "${srcdir=.}/init.sh"; path_prepend_ ../src
print_ver_ rm
@@ -26,14 +24,14 @@ mkdir -p $t || framework_failure_
echo > $t/a || framework_failure_
test -f $t/a || framework_failure_
-echo y > $t/$test.Iy
-echo n > $t/$test.In
+echo y > $t/in-y
+echo n > $t/in-n
-rm -i $t/a < $t/$test.In > /dev/null 2>&1 || fail=1
+rm -i $t/a < $t/in-n > /dev/null 2>&1 || fail=1
# The file should not have been removed.
test -f $t/a || fail=1
-rm -i $t/a < $t/$test.Iy > /dev/null 2>&1 || fail=1
+rm -i $t/a < $t/in-y > /dev/null 2>&1 || fail=1
# The file should have been removed this time.
test -f $t/a && fail=1